#ifndef ARRAYSTATE_H_
#define ARRAYSTATE_H_

#include <string>
#include "autoconstptr.h"
#include "opengl.h"

struct BufferState;

struct ArrayState
{
	GLenum kind;
	unsigned index;
	bool enabled;
	unsigned size;
	GLenum type;
	bool normalized;
	unsigned stride;
	AutoConstPtr<BufferState> buffer;
	long pointer;

	ArrayState();
	void set(unsigned, GLenum, bool, unsigned, BufferState *, long);
	std::string describe() const;
};

#endif
